## org.eclipse.datatools.connectivity.ui.status
Class DatatoolsStatus

    java.lang.Object
      org.eclipse.core.runtime.Status
          org.eclipse.datatools.connectivity.ui.status.DatatoolsStatus

All Implemented Interfaces:
  org.eclipse.core.runtime.IStatus

    public class DatatoolsStatus

extends org.eclipse.core.runtime.Status

A Status object that contains connectivity information as provided in the `IConnectionProfile` and `IConnection`

Field Summary

Fields inherited from class org.eclipse.core.runtime.Status
`CANCEL_STATUS, OK_STATUS`

Fields inherited from interface org.eclipse.core.runtime.IStatus
`CANCEL, ERROR, INFO, OK, WARNING`

Constructor Summary
`DatatoolsStatus(int severity, java.lang.String pluginId, java.lang.Throwable throwable, IConnectionProfile profile, IConnection connection)`

Method Summary
`IConnection` `getConnection()`
`IConnectionProfile` `getConnectionProfile()`
`java.lang.String` `getName()`
`void` `setName(java.lang.String name)`

Methods inherited from class org.eclipse.core.runtime.Status
`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatatoolsStatus

    public DatatoolsStatus(int severity,
                           java.lang.String pluginId,
                           java.lang.Throwable throwable,
                           IConnectionProfile profile,
                           IConnection connection)

Method Detail

### getConnection

    public IConnection getConnection()

### getConnectionProfile

    public IConnectionProfile getConnectionProfile()

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()